Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 1fe4042000bb5daea3b4914106869e53c79d3671)
+++ cpukit/ChangeLog	(revision 0d923d9705d89c78190dea017ccbab37e5724fce)
@@ -1,2 +1,9 @@
+2010-07-01	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* libcsupport/src/_rename_r.c, libcsupport/src/getdents.c,
+	libcsupport/src/unlink.c, libcsupport/src/utime.c,
+	libcsupport/src/writev.c: Remove remaining checks for missing
+	handlers.
+
 2010-07-01	Vinu Rajashekhar <vinutheraj@gmail.com>
 
Index: cpukit/libcsupport/src/_rename_r.c
===================================================================
--- cpukit/libcsupport/src/_rename_r.c	(revision 1fe4042000bb5daea3b4914106869e53c79d3671)
+++ cpukit/libcsupport/src/_rename_r.c	(revision 0d923d9705d89c78190dea017ccbab37e5724fce)
@@ -80,11 +80,4 @@
   rtems_filesystem_get_start_loc( new, &i, &new_parent_loc );
 
-  if ( !new_parent_loc.ops->evalformake_h ) {
-    if ( free_old_parentloc )
-      rtems_filesystem_freenode( &old_parent_loc );
-    rtems_filesystem_freenode( &old_loc );
-    rtems_set_errno_and_return_minus_one( ENOTSUP );
-  }
-
   result = (*new_parent_loc.ops->evalformake_h)( &new[i], &new_parent_loc, &name );
   if ( result != 0 ) {
@@ -109,12 +102,4 @@
   }
 
-  if ( !new_parent_loc.ops->rename_h ) {
-    rtems_filesystem_freenode( &new_parent_loc );
-    if ( free_old_parentloc )
-      rtems_filesystem_freenode( &old_parent_loc );
-    rtems_filesystem_freenode( &old_loc );
-    rtems_set_errno_and_return_minus_one( ENOTSUP );
-  }
-
   result = (*new_parent_loc.ops->rename_h)( &old_parent_loc, &old_loc, &new_parent_loc, name );
 
@@ -126,17 +111,3 @@
   return result;
 }
-
-#if 0
-  struct stat sb;
-  int s;
-
-  s = stat( old, &sb);
-  if ( s < 0 )
-    return s;
-  s = link( old, new );
-  if ( s < 0 )
-    return s;
-  return S_ISDIR(sb.st_mode) ? rmdir( old ) : unlink( old );
 #endif
-                                            
-#endif
Index: cpukit/libcsupport/src/getdents.c
===================================================================
--- cpukit/libcsupport/src/getdents.c	(revision 1fe4042000bb5daea3b4914106869e53c79d3671)
+++ cpukit/libcsupport/src/getdents.c	(revision 0d923d9705d89c78190dea017ccbab37e5724fce)
@@ -39,5 +39,4 @@
    *  Get the file control block structure associated with the file descriptor
    */
-
   iop = rtems_libio_iop( dd_fd );
 
@@ -46,7 +45,4 @@
    */
   loc = iop->pathinfo;
-  if ( !loc.ops->node_type_h )
-    rtems_set_errno_and_return_minus_one( ENOTSUP );
-
   if ( (*loc.ops->node_type_h)( &loc ) != RTEMS_FILESYSTEM_DIRECTORY )
     rtems_set_errno_and_return_minus_one( ENOTDIR );
@@ -56,8 +52,4 @@
    *  of the read attempt.
    */
-
-  if ( !iop->handlers->read_h )
-    rtems_set_errno_and_return_minus_one( ENOTSUP );
-
   return (*iop->handlers->read_h)( iop, dd_buf, dd_len  );
 }
Index: cpukit/libcsupport/src/unlink.c
===================================================================
--- cpukit/libcsupport/src/unlink.c	(revision 1fe4042000bb5daea3b4914106869e53c79d3671)
+++ cpukit/libcsupport/src/unlink.c	(revision 0d923d9705d89c78190dea017ccbab37e5724fce)
@@ -75,11 +75,4 @@
   }
 
-  if ( !loc.ops->unlink_h ) {
-    rtems_filesystem_freenode( &loc );
-    if ( free_parentloc )
-      rtems_filesystem_freenode( &parentloc );
-    rtems_set_errno_and_return_minus_one( ENOTSUP );
-  }
-
   result = (*loc.ops->unlink_h)( &parentloc, &loc );
 
Index: cpukit/libcsupport/src/utime.c
===================================================================
--- cpukit/libcsupport/src/utime.c	(revision 1fe4042000bb5daea3b4914106869e53c79d3671)
+++ cpukit/libcsupport/src/utime.c	(revision 0d923d9705d89c78190dea017ccbab37e5724fce)
@@ -35,9 +35,4 @@
     return -1;
 
-  if ( !temp_loc.ops->utime_h ){
-    rtems_filesystem_freenode( &temp_loc );
-    rtems_set_errno_and_return_minus_one( ENOTSUP );
-  }
-
   if ( times == NULL ) {
     now.actime = now.modtime = time( NULL );
Index: cpukit/libcsupport/src/writev.c
===================================================================
--- cpukit/libcsupport/src/writev.c	(revision 1fe4042000bb5daea3b4914106869e53c79d3671)
+++ cpukit/libcsupport/src/writev.c	(revision 0d923d9705d89c78190dea017ccbab37e5724fce)
@@ -55,7 +55,4 @@
   if ( iovcnt > IOV_MAX )
     rtems_set_errno_and_return_minus_one( EINVAL );
-
-  if ( !iop->handlers->write_h )
-    rtems_set_errno_and_return_minus_one( ENOTSUP );
 
   /*
